<template>
  <div class="building-bg">
    <div class="buidling-bg-inner-wrapper">
      <div :class="buildingClasses.sky"></div>
      <div :class="buildingClasses.underground">
        <div class="pseudo-building-item">
          <div class="floor">
            <div class="floor-content">
              <div class="floor-label"></div>
              <div class="floor-restaurants"></div>
            </div>
          </div>
          <div class="floor">
            <div class="floor-content">
              <div class="floor-label"></div>
              <div class="floor-restaurants"></div>
            </div>
          </div>
          <div class="floor">
            <div class="floor-content">
              <div class="floor-label"></div>
              <div class="floor-restaurants"></div>
            </div>
          </div>
          <div class="floor floor--wall-basement floor--bottom">
            <div class="floor-content"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  props: {
    groupId: {
      type: String,
      required: true
    }
  },

  computed: {
    buildingClasses() {
      switch (this.groupId) {
        case "skm-xinyi":
          return {
            sky: "building-bg-sky",
            underground: "building-bg-underground"
          };
        case "skm-taichung":
          return {
            sky: "building-bg-sky-tc",
            underground: "building-bg-underground-tc"
          };
        case "skm-nanxi":
          return {
            sky: "building-bg-sky-nanxi",
            underground: "building-bg-underground-nanxi"
          };
        case "skm-tainanplace":
          return {
            sky: "building-bg-sky-tainan",
            underground: "building-bg-underground-tainan"
          };
        case "skm-TaipeiTianmu":
          return {
            sky: "building-bg-sky-TaipeiTianmu",
            underground: "building-bg-underground-TaipeiTianmu"
          };
        case "skm-TaipeiStation":
          return {
            sky: "building-bg-sky-TaipeiTianmu",
            underground: "building-bg-underground-TaipeiTianmu"
          };
        case "skm-KaohsiungSanduo":
          return {
            sky: "building-bg-sky-KaohsiungSanduo",
            underground: "building-bg-underground-KaohsiungSanduo"
          };
        case "skm-TainanZhongshan":
          return {
            sky: "building-bg-sky-TainanZhongshan",
            underground: "building-bg-underground-TainanZhongshan"
          };
        case "skm-KaohsiungZuoying":
          return {
            sky: "building-bg-sky-KaohsiungZuoying",
            underground: "building-bg-underground-KaohsiungZuoying"
          };
        case "skm-ChiayiChuiyang":
          return {
            sky: "building-bg-sky-ChiayiChuiyang",
            underground: "building-bg-underground-ChiayiChuiyang"
          };
        case "skm-TaoyuanDayou":
          return {
            sky: "building-bg-sky-TaoyuanDayou",
            underground: "building-bg-underground-TaoyuanDayou"
          };
        case "skm-TaoyuanStation":
          return {
            sky: "building-bg-sky-TaoyuanStation",
            underground: "building-bg-underground-TaoyuanStation"
          };
        default:
          throw new Error("invalid group id.");
      }
    }
  }
};
</script>
